<div class="modal fade" id="addToTag" tabindex="-1" role="dialog" aria-labelledby="addToTag" aria-hidden="true" (click)="check($event)">
    <div class="modal-dialog modal-dialog-slideout modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title add-tag-title" id="exampleModalLabel">Add Tags</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true" (click)="cancelTag()">×</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="input-group" id="searchEle">
                    <input class="form-control border srch-input" placeholder="Search and add tags" type="text" [(ngModel)]="searchTextTag"
                    name="searchTextTag" (change)="filterTagList()">
                </div>
                <div class="tags">
                    <div class="division l-div">
                        <p class="ml-2">Available Tags</p>
                        <div class="mb-3">
                            <div class="new-tag ml-1 mb-1 mr-2" *ngFor="let item of availableTagList">
                                <button class="btn btn-add-tag">
                                    <img src="assets/images/feature_icons/add.png" (click)="attachTagToSelected(item)"/>
                                </button>
                                <span>{{item.name}}</span>
                            </div>
                        </div>
                    </div>
                    <div class="division r-div">
                        <p class="ml-4">Tags being added</p>
                        <div class="new-tag ml-4 mb-1 mr-2" *ngFor="let item of selectedTagList">
                            <button class="btn btn-add-tag">
                                <img src="assets/images/novartis/remove.svg" (click)="detachTag(item)" class="tag-remove"/>
                            </button>
                            <span>{{item.name}}</span>
                        </div>
                    </div>
                </div>


            </div>
            <div class="modal-footer">
                <button type="button" [disabled]='selectedTagList?.length < 1' (click)="add_tags()"
                    class="btn btn-primary actionButton float-right">Add Tags</button>
                <button type="button" class="btn btn-secondary btn-action actionButton btn-sm float-right mr-2"
                    data-dismiss="modal" (click)="cancelTag()" #closeAddExpenseModal>Cancel</button>
            </div>
        </div>
    </div>
</div>
<div class="dropdown show top-minus-7" id="actionDropdown">
    <a class="btn btn-secondary btn-action actionButton btn-sm dropdown-toggle pt-1-5" href="#" role="button"
        id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        Actions <img src="assets/images/novartis/down.svg" class="ml-5 mb-1">
    </a>
    <div class="dropdown-menu action-drop-menu" aria-labelledby="dropdownMenuLink">
        <a class="dropdown-item disabled" data-toggle="modal" data-target="#addToTag" data-backdrop='static'
        appPermissions functionality="CATALOG.ASSIGN_TAG" action="R"
        data-keyboard='false' [ngClass]="{disabled: this.grid?.selectionModule?.selectedRecords?.length < 1}">Add Tag</a>
        <a class="dropdown-item" (click)="addToBasket()"
            [ngClass]="{disabled: this.grid?.selectionModule?.selectedRecords?.length < 1}">Add To Basket</a>
    </div>
</div>

<div id="rightButtons">
    <button class="btn float-right mr-1 Rounded" data-toggle="modal" data-target="#confirmDownload" data-backdrop='static' data-keyboard='false'>
        <img _ngcontent-lla-c19="" alt="Import Rules" src="assets/images/novartis/download.svg" class="icon-css position-absolute">
    </button>
    <button class="btn float-right mr-2 Rounded" data-toggle="modal" data-target="#exampleModal3" data-backdrop='static' data-keyboard='false' (click)="clearBulkContent()"
    appPermissions functionality="CATALOG.ASSIGN_TAG" action="R">
        <img _ngcontent-lla-c19="" alt="Import Rules" src="assets/images/novartis/upload.svg" class="icon-css position-absolute">
    </button>
</div>
<span id="columnsSection">
    <button class="btn float-right Rounded top-minus-3" data-ripple="true" aria-label="Columns">
        <img _ngcontent-lla-c19="" alt="Choose Columns" src="assets/images/novartis/column.svg"
            class="icon-css position-absolute">
    </button>
</span>
<span id="showDVResultsCount" class="top-minus-5 mr-5">
    <span class="text-muted ml-135">{{((countGen-1) * selectionPaginator) + 1}}-{{countGen * selectionPaginator}} of {{searchResults?.length}} result(s)</span>
</span>
<div class="row mr-3" id="customPagerTemplate1">
    <span class="text-dark ml-5 mr-2 mt-1 pt-1">Results Per Page</span>
    <span>
        <ejs-dropdownlist name="pageSize" cssClass="e-outline"
            [dataSource]="listOfPagination" [value]="selectionPaginator" (change)="changePageSize($event)"
            width="75px">
        </ejs-dropdownlist>
    </span>
</div>
<div class="ml-3 mr-3 mt-3 mb-3">
    <ejs-grid #gridelement [dataSource]='searchResults' id="physical-View"  (click)="clickaction($event)"
        allowSorting='true' [sortSettings]='initialSort' [allowFiltering]='false' [toolbar]="toolbar"
        showColumnChooser='true' [filterSettings]='filterOptions' allowPaging='true' [pageSettings]='gridPageSettings'
        (queryCellInfo)='customiseCell($event)'>
        <!--(dataBound)='dataBound()'-->
        <e-columns>
            <e-column type='checkbox' headerText="Select All" width='30' id=""></e-column>
            <e-column field='Name' isPrimaryKey='true' width='100' 
                headerText="{{ i18Labels.physical['Name'] }}" clipMode='EllipsisWithTooltip'></e-column>
            <e-column field='Logical Name' width='90' headerText="{{ i18Labels.physical['Logical Name'] }}"
                clipMode='EllipsisWithTooltip'></e-column>
            <!-- <e-column field='id' width='70' hidden="true" headerText="{{ i18Labels.physical['URI'] }}"></e-column> -->
            <e-column field='URI_ID' width='90' headerText="{{ i18Labels.physical['URI'] }}"></e-column>
            <e-column field='Business Description' width='90' headerText="{{ i18Labels.physical['Description'] }}"
                clipMode='EllipsisWithTooltip'></e-column>
            <e-column headerText="{{ i18Labels.physical['Tags'] }}" field='Tags' width='60'
                clipMode='EllipsisWithTooltip'>
                <ng-template #template let-data>
                    <span>{{getStringOfTags(data?.Tags)}}</span>
                </ng-template>
            </e-column>
            <e-column field='Type' width='90' headerText="{{ i18Labels.physical['Type'] }}"
                clipMode='EllipsisWithTooltip'></e-column>
            <e-column field='dataAsset' width='90' headerText="{{ i18Labels.physical['DataAsset'] }}"
                clipMode='EllipsisWithTooltip'>
                <ng-template #template let-data>
                    <span>{{getDataAsset(data?.DataAsset)}}</span>
                </ng-template>
            </e-column>
            <e-column field='Layer_name' width='90' headerText="{{ i18Labels.physical['Layer Name'] }}"
                clipMode='EllipsisWithTooltip'></e-column>
            <!-- <e-column field='Layer Type' width='100' headerText="{{ i18Labels.physical['Layer Type'] }}"
                clipMode='EllipsisWithTooltip'></e-column> -->
            <e-column headerText="Add to basket" width=90 [customAttributes]='handCursor'>
                <ng-template #template let-data>
                    <span>
                        <img src="assets/images/novartis/add.png" [hidden]="data.alreadyAddedToBasket"
                            srcset="assets/images/novartis/add@2x.png 2x, assets/images/novartis/add@3x.png 3x"
                            class="add ml-4" (click)="data.alreadyAddedToBasket = true" />
                        <img src="assets/images/novartis/correct.svg" *ngIf="data.alreadyAddedToBasket"
                            class="add ml-4" />
                    </span>
                </ng-template>
            </e-column>
            <e-column headerText="View" width=60 [customAttributes]='handCursor'>
                <ng-template #template let-data>
                    <span>
                        <img src="assets/images/novartis/next.svg" class="next">
                    </span>
                </ng-template>
            </e-column>
            <!-- <e-column field='matched_to' width='100' headerText="{{ i18Labels.physical['Matched with'] }}"> </e-column> -->
            <!-- <e-column field='URI' width='200' headerText="{{ i18Labels.physical['Path'] }}" clipMode='EllipsisWithTooltip'>
            </e-column> -->
        </e-columns>
    </ejs-grid>
    <span class="d-flex float-right top-minus-42" id="customPagerTemplate">
        <span class="text-dark ml-5 mr-2 mt-1 pt-1"><small>Results Per Page </small> </span>
        <span class="mt-1">
            <ejs-dropdownlist name="pageSize" cssClass="e-outline"
                [dataSource]="listOfPagination" [value]="selectionPaginator" (change)="changePageSize($event)"
                width="75px">
            </ejs-dropdownlist>
        </span>
    </span>
</div>